var idAtual, visitados, largura=0, altura=0, unityObj, isFullScreen=0;
var tamTituloH1=18, tamTituloH2=15, tamFonte=13, tamLegenda=9;
var masteryScore, overlayDlg=null;
var ludos_pasta, ludos_tipo_scorm=2;




function set_html_page() {
console.log('func set_html_page');

if (window.location.href.split("id=")[1] === undefined) {
  window.location.href ="index.html"
 }
  var value_url = window.location.href.split("id=")[1].split("/");

  modulo.id_controller = parseInt(value_url[0]);
  modulo.id_modulo     = parseInt(value_url[1]);
  modulo.id_sub_modulo = parseInt(value_url[2]);
  modulo.section       = config[modulo.id_controller];

 $('.modulo_esquerdo .titulo-curso').html(modulo.section.tituloCurso);

 if (modulo.section.modulos === undefined) {
   alert('Módulo inexistente!')
  window.location.href ="modulos.html"
 }
  
  if((api=getAPIHandle())!=null) {
    
    loadPage();
    if(typeof top.cursos_set_menu=='function')
      ludos_tipo_scorm=(parseInt(api.LMSGetLastError(),10)>0 ? 0:1);
  }

  ludos_pasta=(ludos_tipo_scorm<2?'../../../../':'../../scorm_export/');

 
    if(api==null &&(api=getAPIHandle())==null){
      renderControllerTracker();
    }else{

      if (api.LMSGetValue('cmi.suspend_data')=="") {
        renderControllerTracker();
      } else {
        modulo.section.controlTrackModulo      = JSON.parse(api.LMSGetValue('cmi.suspend_data'));
        modulo.section.controllerStatusTracker = false;
      }
     
    }

}

function renderControllerTracker(){

 
  let arrMod = [];
  modulo.section.modulos.map((alem,i) => {
    const sub_menu = alem.menu.map((elem2,i)=>{return elem2.sub_menu;});
    let arrSubMenu = [];
    sub_menu.map((elem,i)=>{  
        arrSubMenu.push(converteIntegerArray(elem.length));
    });
    arrMod.push(arrSubMenu);
  });
  modulo.section.controlTrackModulo.valueOf()[modulo.id_controller] = arrMod;
}

function atualizaVisitados(id) {

 
  if(api==null &&(api=getAPIHandle())==null){
         return;
   } else{
    const controllerTrack = JSON.stringify(modulo.section.controlTrackModulo);   
    var tracked = "";
  if(api.LMSGetValue('cmi.suspend_data')==="") {
    var tracked = controllerTrack;
  }else{

      const controllerValue      = modulo.id_controller;
      const moduloValue      = modulo.id_modulo;
      const subModuloValue   = modulo.id_sub_modulo;
      const controllerPagina = modulo.section.paginaSelecionada-1;
      const controllerMod    = modulo.section.controlTrackModulo[controllerValue][moduloValue][subModuloValue].valueOf()[controllerPagina] = 1;
      var tracked            = JSON.stringify(modulo.section.controlTrackModulo);
      visitados              = tracked;
  
  }
 
  api.LMSSetValue('cmi.suspend_data',tracked);
  api.LMSCommit('');
   }
   // JSON.parse(controllerTrack)


//   console.log('func atualizaVisitados');
// console.log(config);
//   if(api==null &&(api=getAPIHandle())==null){
//     return;
//   } 

//   var x,y,num,novo='-', sd=api.LMSGetValue('cmi.suspend_data');
//   console.log('sd', sd);
//   if((num=sd.indexOf('visitados'))<0) visitados='';
//   else {
//     num+=10; // posiciona na data, ap�s o separador
//     x=sd.indexOf('&',num);
//     y=sd.indexOf('-',num);
//     if(y<0) y=num;
//     else if(id<=0) idAtual=parseInt(sd.substring(num,y),10);
//     visitados=sd.substring(y,(x<0?sd.length:x));
//     console.log('visitados', visitados);
//   }

//   for(num=1; num<=limite+1; num++)
//     novo +=(num==id?'1':(num<visitados.length?visitados.charAt(num):'0'));
//     console.log('num -> '+num);
//     console.log('visitados ->> '+visitados);
//     console.log('visitados indexOf ->>> '+visitados.indexOf(0));
//   visitados=novo;
//   console.log('visitados', visitados);

//   if ( id>0 ) {
//     idAtual=id;
//     num=sd.indexOf('visitados');
//     if(num<0) sd+=(sd==''?'':'&')+'visitados='+id+visitados;
//     else {
//       num+=10; // posiciona ap�s o separador
//       x=sd.indexOf('&',num);
//       sd=sd.substring(0,num)+id+visitados+(x>=0?sd.substring(x):'');
//     }
//     api.LMSSetValue('cmi.suspend_data',sd);
//     api.LMSCommit('');
//   }

//   if( api==null &&( api=getAPIHandle())==null ) return;
//   var x,y,num,novo='-',sd=api.LMSGetValue('cmi.suspend_data');
//   if((num=sd.indexOf('visitados'))<0) visitados='';
//   else {
//     num+=10; // posiciona na data, ap�s o separador
//     x=sd.indexOf('&',num);
//     y=sd.indexOf('-',num);
//     if(y<0) y=num;
//     else if(id<=0) idAtual=parseInt(sd.substring(num,y),10);
//     visitados=sd.substring(y,(x<0?sd.length:x));
//   }
//   for(num=1; num<=limite+1; num++)
//     novo+=(num==id?'1':(num<visitados.length?visitados.charAt(num):'0'));
//   visitados=novo;
//   if(id>0) {
//     idAtual=id;
//     num=sd.indexOf('visitados');
//     if(num<0) sd+=(sd==''?'':'&')+'visitados='+id+visitados;
//     else {
//       num+=10; // posiciona ap�s o separador
//       x=sd.indexOf('&',num);
//       sd=sd.substring(0,num)+id+visitados+(x>=0?sd.substring(x):'');
//     }

//     api.LMSSetValue('cmi.suspend_data',Math.random());
//     api.LMSCommit('');

 // }

  // console.log( 'o id da pagina a ser carregada é: ', id);
  //-------------------------------------------
  // if ( id ) {
  //   paginaSelecionada = id;
  //   // gerarMenuModulos();
  //   // controlesModulos();  
  //   var itemPaginacao = "#pagina-"+id;

  //   $(itemPaginacao).addClass('ativo');
  //   console.log('tem que adicionar a classe ativo no item: ', id);
  // }

  //-------------------------------------------
}

function go(id) { // carrega a nova p�gina

  const id_curso      = modulo.id_controller+1;
  const id_modulo     = modulo.id_modulo+1;
  const id_sub_modulo = modulo.id_sub_modulo;

  $('#conteudo').attr("style","");
    var obj=document.getElementById('conteudo');
    obj.innerHTML='';
   $('.cards').append("<div class='load'><div class='loader' role='status'></div></div>")
    setTimeout(function() { // o timeout espera a p�gina ir para a direita
     $.ajax({url:`curso${id_curso}/modulo${id_modulo}/sub_${id_sub_modulo}/pagina${id}.html`,
      error:function(xhr, ajaxOptions, thrownError) {
       gone(id,'<div style="padding: 15px;"><h1>Erro '+xhr.status+': '+thrownError+'<\/h1>\n'
        +'<p>pagina'+id+'.html n&atilde;o encontrada.<\/p>\n</div>');
        paginaSelecionada = id;
        controlesModulos(); 
        $('.cards .load').remove() 
       
      },
      success:function(data) {
        gone(id, data);
        idAtual = id;
     
        $('.cards .load').remove();
       // $('#conteudo').removeClass('loading');
        dynamicH();
        
        atualizaVisitados(id);      
      }
     });
   },500);
}

function gone(id,htm) {
  $('#content').removeClass('loading');
  $('#conteudo').html(htm); // o jQuery tamb�m processa os javascripts inline

  if ($('.aviso').is(':visible')===true) {
		const titulo = modulo.section.modulos[modulo.id_modulo].menu[modulo.id_sub_modulo].sub_menu[modulo.section.paginaSelecionada-1].titulo;
     $('.aviso').html(`<p><span class="text-center"><b>Tela</b>: ${titulo}</span><br><span class='text-center'> PENDÊNCIA JAMMIL</span></p>`);
  }

  if ($('.container_video').is(':visible')===true) {
	$('.navbar').hide();
  }else{ 
    $('.navbar').show();
  }
  
  console.log('verificar quantos por cento foi visto do curso e habiltiar o proximo modulo');
}

function hintClick() {
  var cfg={modal:true,titleClass:'anim warning'};
  var obj2=document.getElementById(this.id.substring(3));
  if(obj2.title) cfg.title=obj2.title;
  overlayDlg=new Messi(obj2.innerHTML,cfg);
}

// fun��es para integra��o SCORM com unity ou HTML
function scorm_ativ_reload_desemp(obj) {
  console.log('func scorm_ativ_reload_desemp');
  var x, nota='-', maior=0, id=obj.id.substring(12);
  var num=api.LMSGetValue('cmi.objectives._count');
  if((x=parseInt(api.LMSGetLastError(),10))>0) nota='Erro '+x;
  else {
    var re = new RegExp(id,"i");
    for(x=0; x<num; x++) {
      if(re.test(api.LMSGetValue('cmi.objectives.'+x+'.id')))
        break;
    }
    if(x<num && !isNaN(x=parseInt(api.LMSGetValue('cmi.objectives.'+x+'.score.raw'),10))) {
      nota=x;
      if(nota>=masteryScore) maior=3;
      else if(nota>=masteryScore*0.7) maior=2;
      else maior=1;
    }
  }
  obj.innerHTML=nota;
  obj.className='desemp_'+maior;
  if(maior>0 && $(document.getElementById(obj.id.replace('_sinal_','_ativ_'))).data('report')!=false) {
    obj.title='Relat�rio';
    obj.style.cursor='pointer';
    AddEvent(obj,'click',scorm_ativ_relatorio);
  }
}

function scorm_ativ_pos(id) {
  console.log('func scorm_ativ_pos');
  if((api=getAPIHandle())==null) return -1;
  var x,num=parseInt(api.LMSGetValue('cmi.objectives._count'),10);
  if(parseInt(api.LMSGetLastError(),10)>0) return -1;
  var re = new RegExp(id,"i");
  for(x=0; x<num; x++) {
    if(re.test(api.LMSGetValue('cmi.objectives.'+x+'.id')))
      return x;
  }
  return x;
}

function scorm_ativ_fecha(msg) {
  try {
    window.close();
  } catch(e) {
    alert('Erro ao fechar a janela, feche manualmente');
  }
}

function scorm_ativ_relatorio() {
  console.log('func scorm_ativ_relatorio');
  var htm=api.LMSGetValue('cmi.comments');
  var params={win_name:'scorm_relatorio',w:(top.screen.width<1152 ? top.screen.width-10:1142)};
  popup('about:blank',params);
  if(params['win']==null) alert('Erro: popup do relat�rio bloqueado');
  else {
    params['win'].document.open();
    params['win'].document.write('<!DOCTYPE html>\n'
     +'<html lang="pt-br">\n'
     +'<head>\n'
     +'  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">\n'
     +'  <title>Relat�rio de Scorm<\/title>\n'
     +'<\/head>\n'
     +'<body>\n'+htm+'<\/body>\n'
     +'<\/html>\n');
    params['win'].document.close();
  }
}

function scorm_ativ_salva(vet) {
  console.log('func scorm_ativ_salva');
  if(isNaN(vet['score'])) return false;
  var dt=new Date();
  var timeDiff=(dt.getTime()-startDate)/1000; // diferen�a de tempo em segundos
  var tmp_seg=Math.round(timeDiff % 60);
  timeDiff=Math.floor(timeDiff / 60); // remove os segundos da data
  var tmp_min=Math.round(timeDiff % 60);
  timeDiff=Math.floor(timeDiff / 60); // remove os minutos da data
  var tmp_hours=Math.round(timeDiff % 24);
  vet['session_time']=(tmp_hours<10?'0':'')+tmp_hours+':'+(tmp_min<10?0:'')+tmp_min+':'
   +(tmp_seg<10?0:'')+tmp_seg;
  var num_objective=scorm_ativ_pos(vet['id']);

  masteryScore=parseFloat(api.LMSGetValue('cmi.student_data.mastery_score'));
  if(isNaN(masteryScore)||masteryScore==0) masteryScore=70;
  vet['data']=(dt.getDate()<10?0:'')+dt.getDate()+'/'+(dt.getMonth()<9?0:'')
   +(dt.getMonth()+1)+'/'+dt.getFullYear(); // usado no relat�rio
  vet['hora']=(dt.getHours()<10?'0':'')+dt.getHours()+':'+(dt.getMinutes()<10?0:'')
   +dt.getMinutes()+':'+(dt.getSeconds()<10?0:'')+dt.getSeconds();
  api.LMSSetValue('cmi.core.score.raw',vet['score'].toFixed(2)); // esta � a nota da UC
  api.LMSSetValue('cmi.core.session_time',vet['session_time']);
  api.LMSSetValue('cmi.objectives.'+num_objective+'.id',vet['id']);
  api.LMSSetValue('cmi.objectives.'+num_objective+'.score.raw',vet['score'].toFixed(2)); // nota da atividade
  api.LMSSetValue('cmi.objectives.'+num_objective+'.status',(vet['score']< masteryScore ?'failed':'passed'));
  api.LMSSetValue('cmi.interactions.'+num_objective+'.id',vet['id']);
  api.LMSSetValue('cmi.interactions.'+num_objective+'.objectives.0.id',vet['id']);
  api.LMSSetValue('cmi.interactions.'+num_objective+'.time',vet['hora']);
  api.LMSSetValue('cmi.interactions.'+num_objective+'.type','performance');
  api.LMSSetValue('cmi.interactions.'+num_objective+'.result',(vet['score']< masteryScore ?'wrong':'correct'));
  api.LMSSetValue('cmi.interactions.'+num_objective+'.latency',vet['session_time']);
  if(typeof vet['commit']=='undefined'||vet['commit'])
    api.LMSCommit(''); // o LMSFinish tranca as outras atividades
  return true;
}



// function toggleAccordion() {
//   console.log('func toggleAccordion');
//   var h, eu=$(this), tavaFechado=!eu.hasClass('opened');
//   eu.parent().find('> h3.opened').each(function() {
//    var ele=$(this);
//    if(this.addEventListener) {
//      h=ele.next().height();
//      ele.next().css('height',h+'px');
//      setTimeout(function(){
//       ele.next().css('height','0px');
//       setTimeout(function(){ ele.removeClass('opened'); },510);
//      },10);
//    } else { // IE8-
//      ele.removeClass('opened').next().css({'height':'0px','visibility':'hidden'});
//    }
//   });
//   this.scrollIntoView();
//   if(tavaFechado) {
//     if(this.addEventListener) {
//       eu.addClass('opening').next().css('height','auto');
//       h=eu.next().height();
//       eu.next().css('height','0px');
//       setTimeout(function(){
//        eu.addClass('opened').removeClass('opening');
//        eu.next().css('height',h+'px');
//        setTimeout(function(){ eu.next().css('height','auto'); },510);
//       },10);
//     } else { // IE8-
//       eu.addClass('opened').next().css({'height':'auto','visibility':'visible'});
//     }
//   }
// }


// function bindPlugins() { // pode ser usado nos popups
//   // cria os popups de imagens
//   var x,objs=$('.fancybox');
//   if(objs.length>0)
//     objs.fancybox();
//   // cria os flip books
//   objs=$('.magazine');
//   if(objs.length>0) {
//     objs.turn({ autoCenter:false, display:'double', acceleration:true,
//      gradients: !$.isTouch, elevation:50, when:{ turned: function(e,page,pageObj) {} }
//     });
//   }
//   // cria as sanfonas
//   objs=document.querySelectorAll('div.acd > h3');
//   for(x=objs.length-1; x>=0; x--)
//     AddEvent(objs[x],'click',toggleAccordion);
//   // cria as abas
//   objs=document.querySelectorAll('.tabs');
//   for(x=objs.length-1; x>=0; x--)
//     new CBPFWTabs(objs[x]);
//   // cria os textos sobre imagem
//   objs=document.getElementById('conteudoScroll')|| document.getElementById('conteudo')|| document;
//   objs=objs.querySelectorAll('.txtOverImg');
//   for(x=objs.length-1; x>=0; x--) {
//     AddEvent(objs[x],'load',function(ev){
//      var eu=$(this);
//      eu.capty({ animation:'fade', height:eu.height()+5, opacity:0.8, speed:200 });
//     });
//   }
//   // cria anima��es em flash
//   $('div[id^=flash_]').each(function() {
//    var eu=$(this);
//    eu.html(flash(eu.html(),'',parseInt(eu.css('width'),10),parseInt(eu.css('height'),10)));
//   });
//   // cria o zoom das imagens
//   objs=$('.zoom');
//   if(objs.length>0)
//     objs.zoom();
//   // cria players de video
//   $('a[id^=video_]').each(function() {
//    $f($(this).attr('id'),'../../lib/flowplayer/flowplayer.swf',{
//     clip:{autoPlay:false,autoBuffering:true}
//    });
//   });
//   // cria playlists de video
//   $('a[id^=videos_]').each(function() {
//    var eu=$(this), id=eu.attr('id').substring(7);
//    $f(eu.attr('id'),'../../lib/flowplayer/flowplayer.swf',{
//     clip:{autoPlay:false,autoBuffering:true},
//     plugins:{controls:{url:'../../lib/flowplayer/flowplayer.controls.swf'}}
//    }).playlist('#playlist_'+id);
//   });
//   // cria as anima��es inline da Unity3D
//   $('.unity_obj').each(function() {
//    var unity_file=this.innerHTML, bc=this.style.backgroundColor;
//    if(bc==null||bc=='') bc='314D79';
//    else if(bc[0]=='#') bc=bc.substring(1);
//    else if(bc.indexOf('rgb')==0) {
//      bc=bc.substring(bc.indexOf('(')+1,bc.lastIndexOf(')'));
//      bc=parseInt(bc.substring(0,bc.indexOf(',')).trim(),10).toString(16)
//       +parseInt(bc.substring(bc.indexOf(',')+1,bc.lastIndexOf(',')).trim(),10).toString(16)
//       +parseInt(bc.substring(bc.lastIndexOf(',')+1).trim(),10).toString(16);
//    }
//    this.innerHTML='<div class="missing">\n'
//     +'  <a href="javascript:unityObj.installPlugin()" title="Instalar o Unity Web Player agora!">\n'
//     +'    <img alt="Instalar o Unity Web Player agora!" src="http://webplayer.unity3d.com/installation/getunity.png" width="193" height="63">\n'
//     +'  <\/a>\n'
//     +'<\/div>\n';
//    try {
//      unityObj=new UnityObject2({width:'100%',height:'100%',
//       params:{backgroundcolor:bc,bordercolor:bc,textcolor:'FFFFFF',logoimage:'../../images/logo.png',
//       disableContextMenu:true,disableExternalCall:false,disableFullscreen:false}});
//      unityObj.observeProgress(function(progress) {
//       switch(progress.pluginStatus) {
//        case "missing": break;
//        case "broken": alert("Voc� deve reiniciar o navegador ap�s a instala��o"); break;
//        case "installed": break;
//        case "first": break;
//       }
//      });
//      unityObj.initPlugin(this,unity_file);
//    } catch(e) {
//    }
//   });
//   // cria as anima��es SCORM em popup Unity3D e HTML sem o desempenho
//   $('[id^=scorm_ativ_]').each(function() {
//    this.innerHTML='<table class="ativ_wrapper" cellspacing="0" cellpadding="0">\n'
//     +'<tr>\n'
//     +'  <td class="ativ_tit">'+this.title+'<\/td>\n'
//     +'  <td class="desemp_tit">progresso<\/td>\n'
//     +'<\/tr>\n'
//     +'<tr>\n'
//     +'  <td class="ativ_conteudo">'+this.innerHTML+'<\/td>\n'
//     +'  <td id="'+this.id.replace('_ativ_','_sinal_')+'" class="desemp_0"><img src="../../images/lightbox-ico-loading.gif" alt="Carregando..."><\/td>\n'
//     +'<\/tr>\n'
//     +'<\/table>\n';
//   });
//   // coloca o desempenho das anima��es SCORM em popup Unity3D e HTML
//   if(typeof api!='undefined') // if para os popups que n�o usam SCORM
//     masteryScore=parseFloat(api.LMSGetValue('cmi.student_data.mastery_score'));
//   if(isNaN(masteryScore)||masteryScore==0) masteryScore=70;
//   $('[id^=scorm_sinal_]').each(function() { scorm_ativ_reload_desemp(this); });
//   // cria os jogos
//   $('[id^=layer_jogo]').each(function() {
//    var id=$(this).attr('id').substring(10);
//    var x=id.indexOf('_');
//    var uc=id.substring(0,x);
//    id=id.substring(x+1);
//    x=id.indexOf('_');
//    var ue=id.substring(0,x);
//    id=id.substring(x+1);
//    x=id.indexOf('_');
//    var id_jogo=id.substring(0,x);
//    var tipo_jogo=id.substring(x+1);
//    ludo_reload($(this).attr('id'),uc,ue,id_jogo,tipo_jogo,ludos_tipo_scorm);
//   });
//   // cria os portf�lios
//   $('[id^=layer_portf]').each(function() {
//    var id=$(this).attr('id').substring(11);
//    var x=id.indexOf('_');
//    var uc=id.substring(0,x);
//    id=id.substring(x+1);
//    x=id.indexOf('_');
//    var ue=id.substring(0,x);
//    var enunc=id.substring(x+1);
//    portfolio_reload($(this).attr('id'),uc,ue,enunc,ludos_pasta);
//   });
//   // cria os hints
//   objs=document.querySelectorAll('[id^=bt_hint]');
//   for(x=objs.length-1; x>=0; x--)
//     AddEvent(objs[x],'click',hintClick);
// }


// function winResize() {
//   console.log('func winResize');
//   var x, objs, w=$(window).width(), h=$(window).height();
//   if(largura!=w || altura!=h) {
//     largura = w;
//     altura = h;
//     objs=$('#menu, #conteudoScroll');
//     for(x=objs.length-1; x>=0; x--) {
//      try { $(objs[x]).perfectScrollbar('update'); } catch(err) {}
//     }
//   }
// }



// function getHtmlTopo(tit,temMenu,temTelaCheia) {
//   console.log('func getHtmlTopo');
// }

// function overlay(titulo, texto) {
//   console.log('func overlay');
//   overlayDlg=new Messi(texto,{title:titulo, modal:true});
// }

// function toggleMenu(im) {
//   console.log('func toggleMenu');
//   if($('#menu').hasClass('visivel')) {
//     im.src='../../images/menu_tree_ativado.png';
//     $('#menu').removeClass('visivel').addClass('invisivel')
//      .toggle('slide',{ direction:'left' });
    
//   } else {
//     im.src='../../images/menu_tree.png';
//     $('#menu').removeClass('invisivel').addClass('visivel')
//      .toggle('slide',{ direction:'left' });
    
//   }
// }

// function toggleAltoContraste(im) {
//   console.log('func toggleAltoContraste');
//   if($('body').hasClass('altoContraste')) { // desabilita a acessibilidade
//     $('body').removeClass('altoContraste');
//     im.src='../../images/fonte-contraste.png';
//   } else { // habilita a acessibilidade
//     $('body').addClass('altoContraste');
//     im.src='../../images/fonte-contraste_ativo.png';
//   }
// }

// function incFontSize(inc) {
//   var tam = parseInt($('#conteudo p').css('font-size'))+inc;
//   if(tam>12 && tam<=18) {
//     tamFonte = tam;
//     tamTituloH1 = parseInt(tamTituloH1)+inc;
//     tamTituloH2 = parseInt(tamTituloH2)+inc;
//     tamFonte = parseInt(tamFonte)+inc;
//     tamLegenda = parseInt(tamLegenda)+inc;
//     atualizaFontes();
//   }
// }

// function toggleFullScreen(el) {
//   var fn;
//   if(isFullScreen == 0) {
//     fn = el.requestFullscreen || el.webkitRequestFullScreen || el.mozRequestFullScreen || el.msRequestFullscreen;
//     if(typeof fn=='undefined') overlay('Aviso','Seu navegador não suporta Tela Cheia!');
//     else {
//       fn.call(el);
//       isFullScreen = 1;
//     }
//   } else {
//     fn = document.exitFullscreen || document.msExitFullscreen || document.mozCancelFullScreen || document.webkitExitFullscreen;
//     fn.call(document);
//     isFullScreen = 0;
//   }
// }


// function atualizaFontes() {
//   console.log('func atualizaFontes');
//   $('#conteudo h1,#conteudo h1 i').css('font-size', tamTituloH1);
//   $('#conteudo .tabela td, #conteudo .tabela th').css('font-size', tamFonte);
//   $('#conteudo h2, .enunciado').css('font-size', tamTituloH2);
//   $('#conteudo h3, #conteudo p, #conteudo b, #conteudo strong, #conteudo li, #conteudo em, #caixaAlternativas label').css('font-size', tamFonte);
//   $('.legenda, .legenda i').css('font-size', tamLegenda);
// }


// function applyKey(ev) {
//   console.log('func applyKey');
//   var val = ev.keyCode;
//   if(val==27) {
//     if(overlayDlg!=null) {
//       overlayDlg.hide();
//       overlayDlg=null;
//     }
//   } else if(val>=37 && val<=40 // 37 || 38 <-, 39 || 40 ->
//    && !$.fancybox.isOpened && document.activeElement.tagName!='INPUT') {
//     go(idAtual+(val>=39 ? 1:-1));
//     if(ev.preventDefault) {
//       ev.preventDefault();
//       ev.stopPropagation();
//     } else { // IE8-
//       ev.cancelBubble = true;
//       ev.returnValue = false;
//     }
//   }
// }


// function _checkPaginas(id){

//   var total_pag = 0;
//   var pag_inicial = 0;
//   var pag_final = 0;

//   for (i = 1; i < num_card; i++) {
//     total_pag += menu_paginas[i-1].numPag;
//   }

//   pag_inicial = total_pag+1;
//   pag_final = (pag_inicial+menu_paginas[num_card-1].numPag)-1;

//   if (id == pag_inicial) {
//       document.getElementById('setaLeft').style.display='none';
//   } else {
//       document.getElementById('setaLeft').style.display='block';
//   }

//   //console.log(id+' < ============= >'+pag_final);

//   if (id == pag_final) {
//     document.getElementById('setaRight').style.display='none';
//     document.getElementById('btn-home-navegacao').style.display='block';
//   } else {
//     document.getElementById('btn-home-navegacao').style.display='none';
//     document.getElementById('setaRight').style.display='block';
//   }

// }